%% init
clear, close all
power_step_time = 30;
run run_simulation

%% obtain model
[Apid, Bpid, Cpid, Dpid] = linmod('baseline_model_pid_io');

load('data_model');

syscPID = ss(Apid, Bpid, Cpid, Dpid);
sysdPID = c2d(syscPID, Ts);

save('data_model_pid', 'syscPID', 'sysdPID')

st_lti = [0, power_step_time, 0];
iv_lti = [0, 0, 0];
fv_lti = [0.0, 5, 0.0];

sim('baseline_model_pid_io_cmp', [0 200])