function xdot = bnl(t, x, u)
% nonlinear model of boiler-turbine system

%% source code
p98 = x(1)^(9/8);

xdot(1, 1) = -0.0018 * u(2) * p98 + 0.9*u(1) - 0.15*u(3);
xdot(2, 1) = (0.073*u(2) - 0.016) * p98 - 0.1*x(2);
xdot(3, 1) = (1/85) * (171*u(3) - (1.1*u(2) - 0.19)*x(1));
end