%% init
clear, close all

run boiler_cl_model

%% prepare data
time = r_pid(:, 1);
time2 = y_pid_CL1(:, 1);
ref  = r_pid(:, 2:4);

%% plot outputs
figure
for k = 1:1:3
    subplot(3, 1, k)
        hold on
        plot(time, ref(:, k), 'g')
        plot(time, y_pid(:, k+1), 'b')
        plot(time, y_pid_ss(:, k+1), 'm')
        plot(time, y_pid_OL(:, k+1), 'k--')
        plot(time, y_pid_CL(:, k+1), 'c--')
        stairs(time2, y_pid_CL1(:, k+1), 'k')
        hold off
end
fs('outputs')

figure
for k = 1:1:3
    subplot(3, 1, k)
        hold on
        plot(time, u_pid(:, k+1), 'b')
        plot(time, u_pid_ss(:, k+1), 'm')
        plot(time, u_pid_OL(:, k+1), 'k--')
        plot(time, u_pid_CL(:, k+1), 'c--')
        stairs(time2, u_pid_CL1(:, k+1), 'k')
        hold off
end
fs('inputs')