function [R, Rplot] = reference_build(N, kf, reference)
ny = size(reference.value, 1);
kkf = (N + kf + 1)*ny;
if isempty(reference.end)
    reference.end   = [kkf+1; kkf+1];
end
r = cell(kkf, 1);
for k = 1:1:kkf
    for j = 1:1:ny
        if k >= reference.start(j) && k <= reference.end(j)
            r0(j, 1) = reference.value(j);
        else
            r0(j, 1) = reference.init(j);
        end
    end
    r{k, 1} = r0;
    
end
Rplot = cell2mat(r');
Rplot = Rplot(:, 1:kf);
R = r;
end