function [R, Rplot] = reference_build_wave(N, kf, reference)
ny = size(reference.value, 1);
kkf = (N + kf + 1)*ny;
if isempty(reference.end)
    reference.end   = [kkf+1; kkf+1];
end
r = cell(kkf, 1);
for k = 1:1:kkf
    for j = 1:1:ny
        if k > kf/4 && k <= kf/2
            r0(j, 1) = reference.value(j);
        elseif k > kf/2 && k <= 3*kf/4
            r0(j, 1) = -reference.value(j);
        elseif k > 3*kf/4
            r0(j, 1) = reference.init(j);
        else
            r0(j, 1) = reference.init(j);
        end
    end
    r{k, 1} = r0;
end
Rplot = cell2mat(r');
Rplot = Rplot(:, 1:kf);
R = r;
end